PO4A-UPDATEPO.1P(1)

NAZWA
po4a-updatepo - aktualizuje tłumaczenie dokumentacji (w formacie PO)

SKŁADNIA
po4a-updatepo -f fmt (-m master.doc)+ (-p XX.po)+

(XX.po to pliki wyjściowe, wszystkie pozostałe są plikami wejściowymi)

OPIS
Celem projektu po4a ("PO for anything") jest ułatwienie tłumaczeń (oraz, co ciekawsze, zarządzania tłumaczeniami) przy użyciu narzędzi gettext w tych obszarach, gdzie nie były używane, jak na przykład w obszarze dokumentacji.

Skrypt po4a-updatepo jest odpowiedzialny za aktualizowanie plików PO, tak aby odzwierciedlały zmiany dokonane w oryginalnym pliku dokumentacji. W tym celu konwertuje plik dokumentacji do pliku POT i wywołuje msgmerge(1) na tym nowym pliku POT i dostarczonych plikach PO.

Jest możliwe podanie więcej niż jednego pliku PO (jeśli chce się od razu zaktualizować kilka języków) i kilku plików z dokumentacją (jeśli chce się przechowywać tłumaczenia kilku dokumentów w tym samym pliku PO).

Jeśli główny dokument zawiera jakieś znaki nie-ASCII, to pliki PO zostaną skonwertowane do UTF-8 (chyba że już są w UTF-8), aby obsłużyć znaki niestandardowe w sposób niezależny od regionu kulturowego.

OPCJE

-f, --format
    Format dokumentacji, którą chce się obsłużyć. Listę dostępnych formatów można wyświetlić, podając opcję --help-format.

-m, --master
    Plik(i) zawierający(e) dokument(y) do przetłumaczenia.

-M, --master-charset
    Kodowanie znaków plików zawierających dokumenty do przetłumaczenia. Proszę zauważyć, że wszystkie pliki muszą mieć to samo kodowanie znaków.

-p, --po
    Plik(i) PO do zaktualizowania. Jeśli nie istnieją, to zostaną utworzone przez po4a-updatepo.

-o, --option
    Extra option(s) to pass to the format plugin. See the documentation of each plugin for more information about the valid options and their meanings. For example, you could pass '-o tablecells' to the AsciiDoc parser, while the text parser would accept '-o tabs=split'.

--no-previous
    Opcja usuwa --previous z opcji przekazywanych programowi msgmerge. Pozwala to na używanie wersji wcześniejszych niż 0.16 pakietu gettext.

--previous
    Opcja dodaje --previous do opcji przekazywanych programowi msgmerge. Wymaga wersji 0.16 lub późniejszej pakietu gettext i jest domyślnie włączona.

--msgmerge-opt options
    Dodatkowe opcje przekazywane programowi msgmerge(1).

-h, --help
    Pokazuje krótki komunikat pomocy.

--help-format
    Wyświetla listę formatów dokumentacji obsługiwanych przez po4a.

-V, --version
    Wyświetla wersję skryptu i kończy działanie.

-v, --verbose
    Zwiększa gadatliwość programu.

-d, --debug
    Wypisuje informacje przydatne do debugowania.

--porefs type[,wrap|nowrap]
    Specify the reference format. Argument type can be one of never to not produce any reference, file to only specify the file without the line number, counter to replace line number by an increasing counter, and full to include complete references (default: full).

    Argument can be followed by a comma and either wrap or nowrap keyword. References are written by default on a single line. The wrap option wraps references on several lines, to mimic gettext tools (xgettext and msgmerge). This option will become the default in a future release, because it is more sensible. The nowrap option is available so that users who want to keep the old behavior can do so.

--wrap-po no|newlines|number (default: 76)
    Specify how the po file should be wrapped. This gives the choice between either files that are nicely wrapped but could lead to git conflicts, or files that are easier to handle automatically, but harder to read for humans.

    Historically, the gettext suite has reformatted the po files at the 77th column for cosmetics. This option specifies the behavior of po4a. If set to a numerical value, po4a will wrap the po file after this column and after newlines in the content. If set to newlines, po4a will only split the msgid and msgstr after newlines in the content. If set to no, po4a will not wrap the po file at all. The wrapping of the reference comments is controlled by the --porefs option.

    Note that this option has no impact on how the msgid and msgstr are wrapped, ie on how newlines are added to the content of these strings.

--msgid-bugs-address adres@e-mail
    Ustawia adres, pod który należy zgłaszać błędy w polach msgid. Domyślnie, utworzone pliki POT nie zawierają nagłówków Report-Msgid-Bugs-To.

--copyright-holder string
    Ustawia właściciela praw autorskich w nagłówku POT. Domyślną wartością jest "Free Software Foundation, Inc."

--package-name nazwa
    Ustawia nazwę pakietu w nagłówku POT. Domyślną wartością jest "PACKAGE".

--package-version wersja
    Ustawia wersję pakietu w nagłówku pliku POT. Domyślną wartością jest "VERSION".

ZOBACZ TAKŻE
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORZY
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TŁUMACZENIE
 Robert Luberda <robert@debian.org>

PRAWA AUTORSKIE I LICENCJA
Copyright 2002-2020 by SPI, inc.

Program jest wolnym oprogramowaniem; można go redystrybuować i/lub modyfikować zgodnie z warunkami licencji GPL (patrz plik COPYING).